Package ru.bgcrm.plugin.bgbilling.model.process.wizard

# Class FillContractParamsStep

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
ru.bgcrm.model.process.wizard.base.Step
ru.bgcrm.plugin.bgbilling.model.process.wizard.FillContractParamsStep

All Implemented Interfaces:
  `Serializable`, `GetJsp`, `Id<Integer>`, `IdTitle<Integer>`, `Title`

public class FillContractParamsStep extends Step

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `FillContractParamsStep.Data`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final String`
  `PATH_JSP`

  ### Fields inherited from class ru.bgcrm.model.process.wizard.base.Step

  `config`

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FillContractParamsStep(ConfigMap config)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StepData<?>`
  `data(WizardData data)`
  `List<Integer>`
  `getCheckParamIds()`
  `String`
  `getJsp()`
  `List<Integer>`
  `getParameterIds()`

  ### Methods inherited from class ru.bgcrm.model.process.wizard.base.Step

  `getConfig, getExpression, newInstance`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, toString, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Field Details

  - ### PATH_JSP

    protected static final String PATH_JSP
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FillContractParamsStep

    public FillContractParamsStep(ConfigMap config)

- ## Method Details

  - ### getParameterIds

    public List<Integer> getParameterIds()

  - ### getCheckParamIds

    public List<Integer> getCheckParamIds()

  - ### getJsp

    public String getJsp()

  - ### data

    public StepData<?> data(WizardData data)
    Specified by:
      `data` in class `Step`